Bug 857353 - radeon list_del corruption
radeon list_del corruption
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 04:04 EDT by Ilkka Tengvall
Modified: 2013-08-01 09:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:48:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilkka Tengvall 2012-09-14 04:04:59 EDT
Description of problem:

My F17 gnome3 desktop keeps freezing every N seconds. It freezes for a few seconds at the time. It seems it's related to kernel oops in radeon driver.


Version-Release number of selected component (if applicable):

kernel 3.5.3-1.fc17.x86_64


How reproducible:

I have had to reboot my machine few times within couple weeks. I don't know what exactly triggers the error, likely some gnome3 fancy thingie.

Steps to Reproduce:
1. Keep using the desktop, it starts happening once in a while
2.
3.
  
Actual results:

Kernel module reports list_del errors, desktop freezes for few seconds.

Expected results:

No kernel oops

Additional info:

My PCI devices:
---------------------------------------------------------
$ lspci 
00:00.0 Host bridge: ATI Technologies Inc RD890 PCI to PCI bridge (external gfx0 port B) (rev 02)
00:00.2 Generic system peripheral [0806]: ATI Technologies Inc Device 5a23
00:02.0 PCI bridge: ATI Technologies Inc RD890 PCI to PCI bridge (PCI express gpp port B)
00:04.0 PCI bridge: ATI Technologies Inc RD890 PCI to PCI bridge (PCI express gpp port D)
00:05.0 PCI bridge: ATI Technologies Inc RD890 PCI to PCI bridge (PCI express gpp port E)
00:06.0 PCI bridge: ATI Technologies Inc RD890 PCI to PCI bridge (PCI express gpp port F)
00:07.0 PCI bridge: ATI Technologies Inc RD890 PCI to PCI bridge (PCI express gpp port G)
00:0a.0 PCI bridge: ATI Technologies Inc RD890 PCI to PCI bridge (external gfx1 port A)
00:11.0 SATA controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode] (rev 40)
00:12.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:12.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:13.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:13.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 42)
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA) (rev 40)
00:14.3 ISA bridge: ATI Technologies Inc SB7x0/SB8x0/SB9x0 LPC host controller (rev 40)
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge (rev 40)
00:14.5 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
00:16.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:16.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:18.0 Host bridge: Advanced Micro Devices [AMD] Family 15h Processor Function 0
00:18.1 Host bridge: Advanced Micro Devices [AMD] Family 15h Processor Function 1
00:18.2 Host bridge: Advanced Micro Devices [AMD] Family 15h Processor Function 2
00:18.3 Host bridge: Advanced Micro Devices [AMD] Family 15h Processor Function 3
00:18.4 Host bridge: Advanced Micro Devices [AMD] Family 15h Processor Function 4
00:18.5 Host bridge: Advanced Micro Devices [AMD] Family 15h Processor Function 5
01:00.0 VGA compatible controller: ATI Technologies Inc Cedar PRO [Radeon HD 5450]
01:00.1 Audio device: ATI Technologies Inc Manhattan HDMI Audio [Mobility Radeon HD 5000 Series]
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 06)
03:00.0 USB Controller: ASMedia Technology Inc. ASM1042 SuperSpeed USB Host Controller
04:00.0 SATA controller: JMicron Technology Corp. JMB362 AHCI Controller (rev 10)
05:00.0 USB Controller: ASMedia Technology Inc. ASM1042 SuperSpeed USB Host Controller
06:00.0 SATA controller: JMicron Technology Corp. JMB362 AHCI Controller (rev 10)
07:06.0 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller (rev c0)
---------------------------------------------------------

the crash in dmesg:

---------------------------------------------------------
Sep 13 16:15:29 ruuvari kernel: [271823.730609] ------------[ cut here ]------------
Sep 13 16:15:29 ruuvari kernel: [271823.730616] WARNING: at lib/list_debug.c:62 __list_del_entry+0x82/0xd0()
Sep 13 16:15:29 ruuvari kernel: [271823.730617] Hardware name: To be filled by O.E.M.
Sep 13 16:15:29 ruuvari kernel: [271823.730618] list_del corruption. next->prev should be ffff88061fb1f9d0, but was ffff88041fb1f9d0
Sep 13 16:15:29 ruuvari kernel: [271823.730619] Modules linked in: hfsplus hfs arc4 ppp_mppe ppp_async crc_ccitt ppp_generic slhc tcp_lp iptable_mangle iptable_nat ip6table_filter ip6_tables nf_conntrack_netbios_ns nf_conntrack_broadcast lp parport nls_utf8 vfat fat usb_storage hid_magicmouse fuse hidp ebtable_nat ebtables ipt_MASQUERADE nf_nat xt_CHECKSUM lockd sunrpc bridge stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_physdev nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack snd_hda_codec_hdmi snd_hda_codec_realtek eeepc_wmi asus_wmi sparse_keymap btusb bluetooth snd_hda_intel snd_usb_audio snd_usbmidi_lib snd_hda_codec smsc95xx usbnet sp5100_tco rfkill microcode snd_rawmidi edac_core edac_mce_amd snd_seq_device i2c_piix4 k10temp serio_raw snd_hwdep snd_pcm fam15h_power snd_page_alloc snd_timer s
Sep 13 16:15:29 ruuvari kernel: nd soundcore r8169 mii vhost_net tun macvtap macvlan kvm_amd kvm uinput raid456 async_raid6_recov async_memcpy async_pq raid6_pq async_xor xor async_tx raid1 crc32c_intel ghash_clmulni_intel firewire_ohci firewire_core crc_itu_t mxm_wmi wmi radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: ip6_tables]
Sep 13 16:15:29 ruuvari kernel: [271823.730678] Pid: 17050, comm: X Not tainted 3.5.3-1.fc17.x86_64 #1
Sep 13 16:15:29 ruuvari kernel: [271823.730679] Call Trace:
Sep 13 16:15:29 ruuvari kernel: [271823.730685]  [<ffffffff810584bf>] warn_slowpath_common+0x7f/0xc0
Sep 13 16:15:29 ruuvari kernel: [271823.730687]  [<ffffffff810585b6>] warn_slowpath_fmt+0x46/0x50
Sep 13 16:15:29 ruuvari kernel: [271823.730690]  [<ffffffff812e2ae2>] __list_del_entry+0x82/0xd0
Sep 13 16:15:29 ruuvari kernel: [271823.730709]  [<ffffffffa00fea2d>] radeon_sa_bo_remove_locked+0x3d/0x70 [radeon]
Sep 13 16:15:29 ruuvari kernel: [271823.730722]  [<ffffffffa00feaa8>] radeon_sa_bo_try_free+0x48/0x80 [radeon]
Sep 13 16:15:29 ruuvari kernel: [271823.730743]  [<ffffffffa00feeb8>] radeon_sa_bo_new+0xf8/0x330 [radeon]
Sep 13 16:15:29 ruuvari kernel: [271823.730765]  [<ffffffffa00bc1ce>] radeon_ib_get+0x3e/0xf0 [radeon]
Sep 13 16:15:29 ruuvari kernel: [271823.730779]  [<ffffffffa00be51f>] radeon_cs_ioctl+0x45f/0x720 [radeon]
Sep 13 16:15:29 ruuvari kernel: [271823.730792]  [<ffffffffa00154f3>] drm_ioctl+0x4d3/0x580 [drm]
Sep 13 16:15:29 ruuvari kernel: [271823.730795]  [<ffffffff81154550>] ? mmap_region+0x2c0/0x5b0
Sep 13 16:15:29 ruuvari kernel: [271823.730811]  [<ffffffffa00be0c0>] ? radeon_cs_finish_pages+0xf0/0xf0 [radeon]
Sep 13 16:15:29 ruuvari kernel: [271823.730815]  [<ffffffff8161056c>] ? do_page_fault+0x1bc/0x4b0
Sep 13 16:15:29 ruuvari kernel: [271823.730818]  [<ffffffff811996c9>] do_vfs_ioctl+0x99/0x580
Sep 13 16:15:29 ruuvari kernel: [271823.730820]  [<ffffffff8127948a>] ? inode_has_perm.isra.31.constprop.61+0x2a/0x30
Sep 13 16:15:29 ruuvari kernel: [271823.730822]  [<ffffffff8127aa67>] ? file_has_perm+0x97/0xb0
Sep 13 16:15:29 ruuvari kernel: [271823.730848]  [<ffffffff81199c49>] sys_ioctl+0x99/0xa0
Sep 13 16:15:29 ruuvari kernel: [271823.730866]  [<ffffffff81614ae9>] system_call_fastpath+0x16/0x1b
Sep 13 16:15:29 ruuvari kernel: [271823.730875] ---[ end trace c87b8c69d33d77a6 ]---
---------------------------------------------------------

and the same for the list_add corruption:
---------------------------------------------------------
Sep 13 16:15:29 ruuvari kernel: [271823.741082] WARNING: at lib/list_debug.c:33 __list_add+0xbe/0xd0()
Sep 13 16:15:29 ruuvari kernel: [271823.741083] Hardware name: To be filled by O.E.M.
Sep 13 16:15:29 ruuvari kernel: [271823.741084] list_add corruption. prev->next should be next (ffff88080d6b8d10), but was ffff8803ca6bb6d0. (prev=ffff8803ca6bb6d0).
Sep 13 16:15:29 ruuvari kernel: [271823.741085] Modules linked in: hfsplus hfs arc4 ppp_mppe ppp_async crc_ccitt ppp_generic slhc tcp_lp iptable_mangle iptable_nat i
p6table_filter ip6_tables nf_conntrack_netbios_ns nf_conntrack_broadcast lp parport nls_utf8 vfat fat usb_storage hid_magicmouse fuse hidp ebtable_nat ebtables ipt_M
ASQUERADE nf_nat xt_CHECKSUM lockd sunrpc bridge stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_
cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_physdev nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack snd_hda_codec_hdmi snd_hda_codec_realtek eeepc_wmi asus_wmi sparse_keymap btusb bluetooth snd_hda_intel snd_usb_audio snd_usbmidi_lib snd_hda_codec smsc95xx usbnet sp5100_tco rfkill microcode snd_rawmidi edac_core edac_mce_amd snd_seq_device i2c_piix4 k10temp serio_raw snd_hwdep snd_pcm fam15h_power snd_page_alloc snd_timer s
Sep 13 16:15:29 ruuvari kernel: nd soundcore r8169 mii vhost_net tun macvtap macvlan kvm_amd kvm uinput raid456 async_raid6_recov async_memcpy async_pq raid6_pq async_xor xor async_tx raid1 crc32c_intel ghash_clmulni_intel firewire_ohci firewire_core crc_itu_t mxm_wmi wmi radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: ip6_tables]
Sep 13 16:15:29 ruuvari kernel: [271823.741127] Pid: 17050, comm: X Tainted: G        W    3.5.3-1.fc17.x86_64 #1
Sep 13 16:15:29 ruuvari kernel: [271823.741127] Call Trace:
Sep 13 16:15:29 ruuvari kernel: [271823.741130]  [<ffffffff810584bf>] warn_slowpath_common+0x7f/0xc0
Sep 13 16:15:29 ruuvari kernel: [271823.741132]  [<ffffffff810585b6>] warn_slowpath_fmt+0x46/0x50
Sep 13 16:15:29 ruuvari kernel: [271823.741137]  [<ffffffff812e2c2e>] __list_add+0xbe/0xd0
Sep 13 16:15:29 ruuvari kernel: [271823.741150]  [<ffffffffa00ff196>] radeon_sa_bo_free+0xa6/0xb0 [radeon]
Sep 13 16:15:29 ruuvari kernel: [271823.741164]  [<ffffffffa00bc2b7>] radeon_ib_free+0x37/0x50 [radeon]
Sep 13 16:15:29 ruuvari kernel: [271823.741178]  [<ffffffffa00bd78c>] radeon_cs_parser_fini+0x13c/0x170 [radeon]
Sep 13 16:15:29 ruuvari kernel: [271823.741210]  [<ffffffffa00be1d4>] radeon_cs_ioctl+0x114/0x720 [radeon]
Sep 13 16:15:29 ruuvari kernel: [271823.741235]  [<ffffffffa00154f3>] drm_ioctl+0x4d3/0x580 [drm]
Sep 13 16:15:29 ruuvari kernel: [271823.741252]  [<ffffffff81154550>] ? mmap_region+0x2c0/0x5b0
Sep 13 16:15:29 ruuvari kernel: [271823.741267]  [<ffffffffa00be0c0>] ? radeon_cs_finish_pages+0xf0/0xf0 [radeon]
Sep 13 16:15:29 ruuvari kernel: [271823.741269]  [<ffffffff8161056c>] ? do_page_fault+0x1bc/0x4b0
Sep 13 16:15:29 ruuvari kernel: [271823.741271]  [<ffffffff811996c9>] do_vfs_ioctl+0x99/0x580
Sep 13 16:15:29 ruuvari kernel: [271823.741273]  [<ffffffff8127948a>] ? inode_has_perm.isra.31.constprop.61+0x2a/0x30
Sep 13 16:15:29 ruuvari kernel: [271823.741275]  [<ffffffff8127aa67>] ? file_has_perm+0x97/0xb0
Sep 13 16:15:29 ruuvari kernel: [271823.741277]  [<ffffffff81199c49>] sys_ioctl+0x99/0xa0
Sep 13 16:15:29 ruuvari kernel: [271823.741279]  [<ffffffff81614ae9>] system_call_fastpath+0x16/0x1b
Sep 13 16:15:29 ruuvari kernel: [271823.741280] ---[ end trace c87b8c69d33d77d9 ]---
Sep 13 16:15:29 ruuvari kernel: [271823.807575] ------------[ cut here ]------------
---------------------------------------------------------



This happens way too often:

---------------------------------------------------------
$ grep "list.*corruption" /var/log/messages -c
125266
---------------------------------------------------------
Comment 1 Fedora End Of Life 2013-07-04 00:31:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 09:48:43 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.